java.rmi.server

## Class RemoteStub

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteStub

All Implemented Interfaces:
  Serializable, Remote

Direct Known Subclasses:
  ActivationGroup_Stub, RMIConnectionImpl_Stub, RMIServerImpl_Stub

    public abstract class RemoteStub
    extends RemoteObject

The `RemoteStub` class is the common superclass to client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

Since:
  JDK1.1
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Constructor Summary

Constructors
`protected` `RemoteStub()` Constructs a `RemoteStub`.
`protected` `RemoteStub(RemoteRef ref)` Constructs a `RemoteStub`, with the specified remote reference.

### Method Summary

Methods
`protected static void` `setRef(RemoteStub stub, RemoteRef ref)` Deprecated. no replacement. The `setRef` method is not needed since `RemoteStub`s can be created with the `RemoteStub(RemoteRef)` constructor.

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteStub

    protected RemoteStub()

Constructs a `RemoteStub`.

#### RemoteStub

    protected RemoteStub(RemoteRef ref)

Constructs a `RemoteStub`, with the specified remote reference.

Parameters:
  `ref` - the remote reference
Since:
  JDK1.1

### Method Detail

#### setRef

    @Deprecated
    protected static void setRef(RemoteStub stub,
                         RemoteRef ref)

Deprecated. no replacement. The `setRef` method is not needed since `RemoteStub`s can be created with the `RemoteStub(RemoteRef)` constructor.
Sets the remote reference inside the remote stub.

Parameters:
  `stub` - the remote stub
  `ref` - the remote reference
Since:
  JDK1.1

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.